Bug 9514 - tulip driver does not start linksys etherfast
tulip driver does not start linksys etherfast
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Depends On:
  Show dependency treegraph
Reported: 2000-02-17 02:50 EST by Derek Spears
Modified: 2013-07-02 22:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-25 15:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Spears 2000-02-17 02:50:27 EST
The tulip driver does not correctly start my linksys card. On boot, where I
normally would hear one click as it ifconfig'd up, I know hear two and the
network is not running. A manual ifconfig eth0 up brings up the net
after boot. I saw this problem in Mandrake 7.0-2 as well.

dmesg output:

Linux version 2.2.15-2.5.0 (root@porky.devel.redhat.com) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Sat Feb 5 00:28:02 EST
Detected 333353820 Hz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 332.60 BogoMIPS
Memory: 127832k/131072k available (1112k kernel code, 416k reserved, 1628k
data, 84k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 131072 (order 7, 512k)
Page cache hash table entries: 32768 (order 5, 128k)
VFS: Diskquotas version dquot_6.4.0 initialized
CPU: Intel Pentium II (Deschutes) stepping 00
Enabling extended fast FPU save and restore...done.
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfd9cc
PCI: Using configuration type 1
PCI: Probing PCI hardware
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 131072 bhash 65536)
Initializing RT netlink socket
Starting kswapd v 1.5
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.9)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xfcd0-0xfcd7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xfcd8-0xfcdf, BIOS settings: hdc:DMA, hdd:DMA
hda: ST317242A, ATA DISK drive
hdd: QPS CD-R PX-W8432T, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: ST317242A, 16446MB w/512kB Cache, CHS=2096/255/63
hdc: ATAPI 32X CD-ROM drive, 256kB Cache
Uniform CDROM driver Revision: 2.56
hdd: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :   774.192 MB/sec
   p5_mmx    :   821.817 MB/sec
   8regs     :   573.024 MB/sec
   32regs    :   326.517 MB/sec
using fastest function: p5_mmx (821.817 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 hda12 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 84k freed
Adding Swap: 130748k swap-space (priority -1)
tulip.c:v0.91g-ppc 7/16/99 becker@cesdis.gsfc.nasa.gov
eth0: Lite-On 82c168 PNIC rev 17 at 0xf800, 00:A0:FF:FF:A1:66, IRQ 10.
VFS: Disk change detected on device ide1(22,0)
ISO 9660 Extensions: Microsoft Joliet Level 1
ISO 9660 Extensions: RRIP_1991A
Comment 1 Bill Nottingham 2000-02-17 14:34:59 EST
Try using the 'old_tulip' driver.
Comment 2 Cristian Gafton 2000-02-17 19:42:59 EST
assigned  to dledford
Comment 3 Derek Spears 2000-02-17 22:51:59 EST
old_tulip does work. Seems to be an issue with tulip (new) on a linksys card.
I can offer up my system for test if needed.
Comment 4 smuskiew 2000-07-24 17:13:42 EDT
I have a similar problem with a Netgear FA310TX (rev D2) card.  If the link goes
away (ie. I reboot my other machine), I have to ifconfig eth1 down and ifconfig
eth1 up to get the driver working again.  The tulip driver from Netgear works,
but it insists on logging all this extra crap to my kernel log so I'd rather use
this one.

Haven't tried old_tulip yet though - will do that tonight.
Comment 5 Jeff Garzik 2002-10-11 15:40:05 EDT
(updating an ancient bug)

Can you try to reproduce with a current Red Hat or kernel.org kernel?
Comment 6 Jeff Garzik 2002-12-10 12:14:05 EST
Outdated.  Please file new bug report if this issue persists with current Red
Hat kernels.

Note You need to log in before you can comment on or make changes to this bug.